diff ringtools/fc-imyplay @ 888:b8ecdf54a957

fc-imyplay script
author Mychaela Falconia <falcon@freecalypso.org>
date Sun, 03 Apr 2022 04:28:44 +0000
parents ringtools/fc-meltest-pwt@5b68ba735e98
children
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/ringtools/fc-imyplay	Sun Apr 03 04:28:44 2022 +0000
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+if [ $# -lt 1 -o $# -gt 2 ]
+then
+	echo "usage: $0 iMelody_file [volume]" 1>&2
+	exit 1
+fi
+
+tmpfile=/tmp/fc-test-melody.bz
+
+if [ -n "$2" ]
+then
+	volume="$2"
+else
+	volume=64
+fi
+
+set -ex
+
+fc-imy2pwt "$1" | fc-pwt-comp - $tmpfile
+fc-fsio upload-file $tmpfile /buz/test.bz
+fc-shell 'at@buz="/buz/test.bz"'",$volume"